/** L293D_test2_2M
 *  Demo program to drive two motor forward and backward
 *  by using a L293D motor controller IC and two inverters.
 *  In this simple demo PWMA and PWMB are connected together. 
 */
#define PWMA   3                 //L293D pin1  Enable1
#define DIRA   2                 //L293D pin2  Input1
#define DIRB   4                 //L293D pin10 Input3


void setMotor(int speed, boolean reverse) {
  analogWrite(PWMA, speed);
  digitalWrite(DIRA, !reverse);
  digitalWrite(DIRB, reverse);  //Inverted for a 2WD robot!
}

void setup() {
  Serial.begin(9600);  
  pinMode(PWMA, OUTPUT);  
  pinMode(DIRA, OUTPUT);
  pinMode(DIRB, OUTPUT);
  Serial.println("\r\nL293D test program");
}


void loop() {
  delay(5000);
  Serial.println("move forward 75%");
  setMotor(196, 0);                // Forward speed = 75%
  delay(2000);
  setMotor(0, 0);                 // Stop motor 
  delay(1000);   
  Serial.println("move reverse 75%");
  setMotor(196, 1);               // Reverse speed = 75%
  delay(2000);  
  setMotor(0, 0);                 // Stop motor    
}


